@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

body{
    margin: 0;
    padding: 0;
    background-color: var(--background-color);
}


.menu-burger{
    display: block !important;
}

.cadreMenu {
    display: flex !important;
    flex-direction: column !important;
    justify-content: center !important;
    align-items: center !important;
    position: fixed !important;
    top: 0 !important;
    left: -100% !important;
    transition: left 0.3s ease !important;
    z-index: 80 !important;
    width: 100% !important;
    height: 100vh !important;
    background-color: var(--menu-color) !important;
    overflow: auto !important;
    margin: 0 !important;
    border-radius: 0 !important;
    box-shadow: none !important;
}

.cadreMenu.active {
    left: 0 !important;
}

.no-scroll {
    overflow: hidden !important;
}

.menu-burger {
    display: block !important;
    z-index: 90 !important;
}

.pfp_navbar_div {
    margin: 0 !important;
}

.middleMenu {
    margin-bottom: 150px !important;
}

.middleMenu div a p, .bottomMenu div a p {
    margin: 0 auto !important;
}

.cadreMenu svg {
    margin: 0 !important;
}

.middleMenu div a, .bottomMenu div a {
    width: fit-content !important;
    height: 33px !important;
    margin: 0 !important;
    align-items: center !important;
    gap: 10px !important;
}


/* *{
    border: 1px solid black;
} */


/* ----------------------------------------------- COLONNES */

#friendsColumns{
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
}

#friendsColumn1, #friendsColumn2, #friendsColumn3{
    margin: 50px 50px;
}

/* ----------------------------------------------- COLONNE 1 */

#friendsColumns #friendsColumn1{
    width: 400px;
    height: 600px;
    border-radius: 50px;
    background: var(--light-gray);
    box-shadow: 0px 11px 111.3px 0px rgba(0, 0, 0, 0.25);
    display: flex;
    flex-direction: column;
}

#friendsColumns #friendsColumn1 h2{
    align-self: center;
    color: var(--text-color);
    font-family: "inter", sans-serif;
    font-size: 32px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
}

#friendsColumns #friendsColumn1 #friend1{
    display: flex;
    align-items: center;
    margin: 10px 0 15px 30px;
}

.profile-container {
    position: relative;
    display: inline-block;
}

#friendsColumns #friendsColumn1 #friendPfp1{
    border-radius: 100%;
    height: 50px;
}

.online-indicator {
    position: absolute;
    bottom: 0;
    right: 0;
    background-color: #00FF00;
    width: 15px;
    height: 15px;
    border-radius: 50%;
    border: 2px solid var(--gray);
}

#friendsColumns #friendsColumn1 p {
    margin: 15px;
    color: var(--text-color);
    font-family: "inter", sans-serif;
    font-size: 20px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}


/* ----------------------------------------------- COLONNE 2 */

#friendsColumns #friendsColumn2{
    width: 400px;
    height: 600px;
    border-radius: 50px;
    background: var(--light-gray);
    box-shadow: 0px 11px 111.3px 0px rgba(0, 0, 0, 0.25);
    display: flex;
    flex-direction: column;
}

#friendsColumns #friendsColumn2 h2{
    align-self: center;
    color: var(--text-color);
    font-family: "inter", sans-serif;
    font-size: 32px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
}

#friendsColumns #friendsColumn2 #friend1{
    display: flex;
    align-items: center;
    margin: 10px 30px 15px 30px;
    justify-content: space-between;
}

.profile-container {
    position: relative;
    display: inline-block;
}

#friendsColumns #friendsColumn2 #friendPfp1{
    border-radius: 100%;
    height: 50px;
}

.offline-indicator {
    position: absolute;
    bottom: 0;
    right: 0;
    background-color: #8E8E8E;
    width: 15px;
    height: 15px;
    border-radius: 50%;
    border: 2px solid var(--gray);
}

#friendsColumns #friendsColumn2 p {
    margin: 15px;
    color: var(--text-color);
    font-family: "inter", sans-serif;
    font-size: 20px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}

.buttonremoveFriend{
    background-color: var(--background-color);
    border: none;
    border-radius: 13px;
    color: var(--text-color);
    font-family: "inter", sans-serif;
    font-size: 16px;
    font-weight: 600;
    padding: 8px 15px;
    margin: 20px auto;
    cursor: pointer;
}

.buttonremoveFriend:hover{
    filter: drop-shadow(0px 10px 8px rgba(0, 0, 0, 0.103));
}

.buttonremoveFriend:active{
    background-color: #d3d3d3;
}

#friendsColumn2 #friend1{
    display: flex;
    align-items: center;
    margin: 10px 30px 15px 30px;
    justify-content: space-between;
}

/* ----------------------------------------------- COLONNE 3 */

#friendsColumns #friendsColumn3{
    width: 400px;
    height: 600px;
    border-radius: 50px;
    background: var(--light-gray);
    box-shadow: 0px 11px 111.3px 0px rgba(0, 0, 0, 0.25);
    display: flex;
    flex-direction: column;
}

#friendsColumns #friendsColumn3 h2{
    align-self: center;
    color: var(--text-color);
    font-family: "inter", sans-serif;
    font-size: 32px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
}

#friendsColumns #friendsColumn3 #friend1{
    display: flex;
    align-items: center;
    margin: 10px 0 15px 30px;
}


#friendsColumns #friendsColumn3 #friends{
    overflow-y: auto;
    height: 375px;
}

#friendsColumns #friendsColumn3 #friends::-webkit-scrollbar{
    width: 15px;
}

#friendsColumns #friendsColumn3 #friends::-webkit-scrollbar-thumb{
    background: var(--menu-color);
    border-radius: 10px;
}


#friendsColumns #friendsColumn3 #friend3{
    display: flex;
    align-items: center;
    margin: 10px 30px 15px 30px;
    justify-content: space-between;
}

.pfp-psd-container{
    display: flex;
    align-items: center;
    text-decoration: none;
}

#friendsColumns #friendsColumn3 #friendPfp1{
    border-radius: 100%;
    width: 50px;
    height: 50px;
}

#friendsColumns #friendsColumn3 p {
    margin: 15px;
    color: var(--text-color);
    font-family: "inter", sans-serif;
    font-size: 20px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}


.buttonSendFriend{
    background-color: var(--background-color);
    border: none;
    border-radius: 13px;
    color: var(--text-color);
    font-family: "inter", sans-serif;
    font-size: 16px;
    font-weight: 600;
    padding: 8px 15px;
    margin: 20px auto;
    cursor: pointer;
}

.buttonSendFriend:hover{
    filter: drop-shadow(0px 10px 8px rgba(0, 0, 0, 0.103));
}

.buttonSendFriend:active{
    background-color: #d3d3d3;
}


.searchFriend {
    display: flex;
    align-items: center;
    background-color: var(--menu-color);
    border-radius: 50px;
    padding: 5px;
    width: fit-content;
    margin: 20px auto;
}

.searchInput {
    width: 200px;
    border: none;
    background-color: transparent;
    padding: 10px 15px;
    font-size: 16px;
    outline: none;
    color: var(--text-color);
    font-family: "inter", sans-serif;
    font-size: 20px;
    font-weight: 400;
}

.searchInput::placeholder{
    color: rgb(88, 88, 88);
    font-family: "inter", sans-serif;
    font-size: 20px;
    font-weight: 300;
}

.searchButton {
    background-color: transparent;
    border: none;
    padding: 10px;
    cursor: pointer;
    display: flex;
    align-items: center;
}

.searchButton svg {
    width: 25px;
    height: 25px;
    color: var(--text-color);
}



@media screen and (max-width: 500px){
    #friendsColumn1, #friendsColumn2, #friendsColumn3{
        margin: 100px 20px;
    }
    #friendsColumns #friendsColumn1 h2, #friendsColumns #friendsColumn2 h2, #friendsColumns #friendsColumn3 h2{
        margin-top: 30px;
    }
    .searchInput {
        width: 150px;
    }
}

@media screen and (max-width: 360px){
    #friendsColumn1, #friendsColumn2, #friendsColumn3{
        margin: 100px 20px;
    }
    #friendsColumns #friendsColumn1 h2, #friendsColumns #friendsColumn2 h2, #friendsColumns #friendsColumn3 h2{
        font-size: 24px;
        margin-top: 40px;
    }
    .search {
        margin-top: 20px;
    }
    .searchInput {
        width: 100px;
    }
}